Bug 478412 - Review Request: mpop - POP3 client for recieving mail from POP3 mailboxes
Review Request: mpop - POP3 client for recieving mail from POP3 mailboxes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 13:34 EST by Fabian Affolter
Modified: 2009-01-26 20:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 20:51:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-29 13:34:27 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/mpop.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/mpop-1.0.16-1.fc9.src.rpm

Project URL: ttp://mpop.sourceforge.net/

Description:
mpop is a small and fast POP3 client. Features include mail filtering,
delivery to mbox files, maildir folders or a mail delivery agent, a very
fast POP3 implementation, many authentication methods, good TLS/SSL
support, IPv6 support, and more.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1025081

rpmlint output:
[fab@laptop024 i386]$ rpmlint mpop*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint mpop-1.0.16-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Patrick Dignan 2009-01-10 03:48:29 EST
This is an informal review.

Legend:
[OK] - Meets the requirement or the requirement is not applicable
[?] - May meet the requirement, but this is shaky ground
[X] - Does not meet the requirement!

[OK]: rpmlint must be run on every package. The output should be posted in the review.

RPMLINT OUTPUT:
[dignan@localhost i386]$ rpmlint mpop-1.0.16-1.fc10.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[dignan@localhost i386]$ rpmlint mpop-debuginfo-1.0.16-1.fc10.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

RPMLINT OUTPUT END
OK :)

[OK]: The package must be named according to the Package Naming Guidelines .
[OK]: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[X]: The package must meet the Packaging Guidelines .

Fedora specific compiler options are not specified in the make

[OK]: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[OK]: The License field in the package spec file must match the actual license. 
[OK]: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[OK]: The spec file must be written in American English.
[OK]: The spec file for the package MUST be legible
[OK]: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

MD5SUM OUTPUT:
94a544fd610ee4434079e5dddf07324f  mpop-1.0.16.tar.bz2

[OK]: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[OK]: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 

Koji Builds Successful:
Fedora 10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1043517
Fedora 11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1043527

[OK]: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[OK]: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[OK]: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[OK]: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
[OK]: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[X]: A package must not contain any duplicate files in the %files listing.


Documentation duplicates the manpage and the info page.


[OK]: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[OK]: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
[OK]: Each package must consistently use macros
[OK]: The package must contain code, or permissable content.
[?]: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).


You might want to think of moving the documentation into a separate package, considering it is the bulk of the package size, the actual binary is only 108KB while the documentation is about 1MB


[OK]: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[OK]: Header files must be in a -devel package.
[OK]: Static libraries must be in a -static package.
[OK]: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[OK]: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[OK]: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[OK]: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[OK]: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
[OK]: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[OK]: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[OK]: All filenames in rpm packages must be valid UTF-8.
Comment 2 Patrick Dignan 2009-01-10 03:59:22 EST
Oops, forgot to tell you what compiler flags you need to add to make

$RPM_OPT_FLAGS/% or %{optflags} work :)

So you could do

make %{?_smp_mflags} %{optflags}
Comment 3 Fabian Affolter 2009-01-10 06:03:13 EST
Thanks Patrick for your review.

(In reply to comment #1)
> [X]: The package must meet the Packaging Guidelines .
> 
> Fedora specific compiler options are not specified in the make

see below

> [X]: A package must not contain any duplicate files in the %files listing. 
> 
> Documentation duplicates the manpage and the info page.

fixed and removed the other useless stuff in this directory

> [?]: Large documentation files must go in a -doc subpackage. (The definition of
> large is left up to the packager's best judgement, but is not restricted to
> size. Large can refer to either size or quantity).
> You might want to think of moving the documentation into a separate package,
> considering it is the bulk of the package size, the actual binary is only 108KB
> while the documentation is about 1MB

Good point but making a new package for two file is a bit overkill from my point of view. I removed *.texi files and now the complete package is 360 KB (incl. documentation) 

(In reply to comment #2)
> Oops, forgot to tell you what compiler flags you need to add to make
> 
> $RPM_OPT_FLAGS/% or %{optflags} work :)
> 
> So you could do
> 
> make %{?_smp_mflags} %{optflags}

This will definitely not work...What flag/flags is/are not set properly?

+ unset DISPLAY
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables'
+ export FFLAGS

Updated files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/mpop.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/mpop-1.0.16-2.fc9.src.rpm
Comment 4 Patrick Dignan 2009-01-10 06:15:25 EST
I was citing this:
https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags

About the documentation, I agree that it seems trivial to separate a simple package into two, but I always try to think of people with 56k connections, the size difference does matter to them, and there are still a number of them out there, believe it or not.  With that smaller size, it's no big deal then :)
Comment 5 manuel wolfshant 2009-01-10 14:00:07 EST
The current version at least is just fine wrt compiler flags. The only potential problem is:

  GNOME Keyring support .. : no

which seems to indicate a missing BR (since we ask to ship the packages with all possible features enabled). Eventually you might wrap it in a build conditional if you want to allow building without this option.
Comment 6 Fabian Affolter 2009-01-10 17:45:48 EST
(In reply to comment #5)
>   GNOME Keyring support .. : no

Support added

Updated files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/mpop.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/mpop-1.0.16-3.fc9.src.rpm
Comment 7 manuel wolfshant 2009-01-10 17:59:21 EST
Current version is just fine. Patrick, thank you for the review. If you are looking for sponsorship,please make sure you mention this bug# in a comment added to the packages you have submitted.

APPROVED
Comment 8 Fabian Affolter 2009-01-10 19:07:32 EST
New Package CVS Request
=======================
Package Name: mpop
Short Description: POP3 client for recieving mail from POP3 mailboxes
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 9 Kevin Fenzi 2009-01-11 12:03:24 EST
cvs done.
Comment 10 Fabian Affolter 2009-01-11 12:24:36 EST
Thank you all for reviewing and cvs.
Comment 11 Fedora Update System 2009-01-11 13:09:43 EST
mpop-1.0.16-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mpop-1.0.16-3.fc9
Comment 12 Fedora Update System 2009-01-11 13:09:47 EST
mpop-1.0.16-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mpop-1.0.16-3.fc10
Comment 13 Fedora Update System 2009-01-14 21:53:13 EST
mpop-1.0.16-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mpop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0380
Comment 14 Fedora Update System 2009-01-14 22:05:12 EST
mpop-1.0.16-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update mpop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0518
Comment 15 Fedora Update System 2009-01-26 20:51:17 EST
mpop-1.0.16-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-01-26 20:56:16 EST
mpop-1.0.16-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.